# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`cni`](#cni): Install Container Network Interface software
* [`cni::plugins`](#cniplugins): Install CNI reference plugins
* [`cni::plugins::dhcp`](#cnipluginsdhcp): Install the cni-dhcp service
* [`cni::plugins::install`](#cnipluginsinstall): private class

### Defined types

* [`cni::plugins::enable`](#cnipluginsenable): Enable a CNI plugin binary

## Classes

### <a name="cni"></a>`cni`

Install Container Network Interface software

#### Parameters

The following parameters are available in the `cni` class:

* [`base_path`](#base_path)

##### <a name="base_path"></a>`base_path`

Data type: `Stdlib::Absolutepath`

Base path under which to install software.

Default value: `'/opt/cni'`

### <a name="cniplugins"></a>`cni::plugins`

Install CNI reference plugins

#### Parameters

The following parameters are available in the `cni::plugins` class:

* [`version`](#version)
* [`checksum`](#checksum)
* [`checksum_type`](#checksum_type)
* [`enable`](#enable)

##### <a name="version"></a>`version`

Data type: `String`

CNI plugins release version

Default value: `'0.8.5'`

##### <a name="checksum"></a>`checksum`

Data type: `String`

Release tarball checksum string

Default value: `'bd682ffcf701e8f83283cdff7281aad0c83b02a56084d6e601216210732833f9'`

##### <a name="checksum_type"></a>`checksum_type`

Data type: `String`

The digest algorithm used for the checksum string.

Default value: `'sha256'`

##### <a name="enable"></a>`enable`

Data type: `Optional[Array[String]]`

Create a symlink from the CNI bin install path to the plugin binary.

Default value: ``undef``

### <a name="cnipluginsdhcp"></a>`cni::plugins::dhcp`

Install the cni-dhcp service

### <a name="cnipluginsinstall"></a>`cni::plugins::install`

private class

## Defined types

### <a name="cnipluginsenable"></a>`cni::plugins::enable`

Enable a CNI plugin binary

#### Examples

##### cni::plugins::enable { 'macvlan': }

```puppet

```

